## Interface Swift_CharacterStream

(line 24)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/CharacterStream.php

##### An abstract means of reading and writing data in terms of characters as opposed to bytes.

Classes implementing this interface may use a subsystem which requires less memory than working with large strings of data.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
void flushContents ()
void importByteStream (Swift_OutputByteStream $os)
void importString (string $string)
string read (int $length)
int[] readBytes (int $length)
void setCharacterReaderFactory (Swift_CharacterReaderFactory $factory)
void setCharacterSet (string $charset)
void setPointer (int $charOffset)
void write (string $chars)

#### Method flushContents (line 84)

#### void flushContents( )

##### Empty the stream and reset the internal pointer.

#### Info

- access - public

#### Method importByteStream (line 44)

#### void importByteStream( Swift_OutputByteStream $os)

##### Overwrite this character stream using the byte sequence in the byte stream.

#### Parameters

- Swift_OutputByteStream $os: output stream to read from

#### Info

- access - public

#### Method importString (line 51)

#### void importString( string $string)

##### Import a string a bytes into this CharacterStream, overwriting any existing data in the stream.

#### Parameters

- string $string:

#### Info

- access - public

#### Method read (line 59)

#### string read( int $length)

##### Read $length characters from the stream and move the internal pointer $length further into the stream.

#### Parameters

- int $length:

#### Info

- access - public

#### Method readBytes (line 67)

#### int[] readBytes( int $length)

##### Read $length characters from the stream and return a 1-dimensional array containing there octet values.

#### Parameters

- int $length:

#### Info

- access - public

#### Method setCharacterReaderFactory (line 37)

#### void setCharacterReaderFactory( Swift_CharacterReaderFactory $factory)

##### Set the CharacterReaderFactory for multi charset support.

#### Parameters

- Swift_CharacterReaderFactory $factory:

#### Info

- access - public

#### Method setCharacterSet (line 31)

#### void setCharacterSet( string $charset)

##### Set the character set used in this CharacterStream.

#### Parameters

- string $charset:

#### Info

- access - public

#### Method setPointer (line 79)

#### void setPointer( int $charOffset)

##### Move the internal pointer to $charOffset in the stream.

#### Parameters

- int $charOffset:

#### Info

- access - public

#### Method write (line 73)

#### void write( string $chars)

##### Write $chars to the end of the stream.

#### Parameters

- string $chars:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:17 +0000 by phpDocumentor 1.4.3